summaryrefslogtreecommitdiff
path: root/dev-python/python-mpd
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-30 18:40:14 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-30 18:40:14 +0000
commitd3277e0fef5a8cbc12b7ae00f59a0ce0a9aa1611 (patch)
treec3c262a09aa288faeab75cf3cdef4954c8b2a16b /dev-python/python-mpd
parent1c4ecb08268c001ef6c8fb487a5fe18c3d72b78c (diff)
downloadbaldeagleos-repo-d3277e0fef5a8cbc12b7ae00f59a0ce0a9aa1611.tar.gz
baldeagleos-repo-d3277e0fef5a8cbc12b7ae00f59a0ce0a9aa1611.tar.xz
baldeagleos-repo-d3277e0fef5a8cbc12b7ae00f59a0ce0a9aa1611.zip
Updating liguros repo
Diffstat (limited to 'dev-python/python-mpd')
-rw-r--r--dev-python/python-mpd/python-mpd-1.0.0-r1.ebuild (renamed from dev-python/python-mpd/python-mpd-1.0.0.ebuild)33
-rw-r--r--dev-python/python-mpd/python-mpd-1.1.0-r1.ebuild (renamed from dev-python/python-mpd/python-mpd-1.1.0.ebuild)6
2 files changed, 21 insertions, 18 deletions
diff --git a/dev-python/python-mpd/python-mpd-1.0.0.ebuild b/dev-python/python-mpd/python-mpd-1.0.0-r1.ebuild
index 04398d2bbbe1..5aa604a35d49 100644
--- a/dev-python/python-mpd/python-mpd-1.0.0.ebuild
+++ b/dev-python/python-mpd/python-mpd-1.0.0-r1.ebuild
@@ -3,41 +3,46 @@
EAPI=7
+DISTUTILS_USE_SETUPTOOLS="bdepend"
PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
inherit distutils-r1
DESCRIPTION="Python MPD client library"
HOMEPAGE="https://github.com/Mic92/python-mpd2"
SRC_URI="https://github.com/Mic92/${PN}2/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-LICENSE="LGPL-3"
+LICENSE="LGPL-3+"
KEYWORDS="amd64 ~ppc ~ppc64 x86"
SLOT="0"
-IUSE="test +twisted"
+IUSE="examples +twisted"
REQUIRED_USE="test? ( twisted )"
+RDEPEND="twisted? ( dev-python/twisted[${PYTHON_USEDEP}] )"
+
+DEPEND="${RDEPEND}"
+
BDEPEND="
test? (
- dev-python/filelock[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/toml[${PYTHON_USEDEP}]
- dev-python/tox[${PYTHON_USEDEP}]
)
- dev-python/setuptools[${PYTHON_USEDEP}]
"
-DEPEND="twisted? ( dev-python/twisted[${PYTHON_USEDEP}] )"
-RDEPEND="${DEPEND}"
-
-RESTRICT="!test? ( test )"
-DOCS=( doc/changes.rst doc/topics/{advanced,commands,getting-started,logging}.rst README.rst )
+DOCS=( README.rst doc/{changes.rst,commands_header.txt} doc/topics/. )
S="${WORKDIR}/${PN}2-${PV}"
-distutils_enable_tests setup.py
+distutils_enable_sphinx doc --no-autodoc
+distutils_enable_tests pytest
+
+python_test() {
+ pytest mpd/tests.py -vv || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
-python_prepare_all() {
- distutils-r1_python_prepare_all
- rm tox.ini || die
+ use examples && dodoc -r examples/.
}
diff --git a/dev-python/python-mpd/python-mpd-1.1.0.ebuild b/dev-python/python-mpd/python-mpd-1.1.0-r1.ebuild
index cb14239dcac9..6d539d3b2504 100644
--- a/dev-python/python-mpd/python-mpd-1.1.0.ebuild
+++ b/dev-python/python-mpd/python-mpd-1.1.0-r1.ebuild
@@ -15,13 +15,13 @@ SRC_URI="https://github.com/Mic92/${PN}2/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="LGPL-3+"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
SLOT="0"
-IUSE="examples test +twisted"
+IUSE="examples +twisted"
REQUIRED_USE="test? ( twisted )"
RDEPEND="twisted? ( dev-python/twisted[${PYTHON_USEDEP}] )"
-DEPEND="${DEPEND}"
+DEPEND="${RDEPEND}"
BDEPEND="
test? (
@@ -30,8 +30,6 @@ BDEPEND="
)
"
-RESTRICT="!test? ( test )"
-
DOCS=( README.rst doc/{changes.rst,commands_header.txt} doc/topics/. )
S="${WORKDIR}/${PN}2-${PV}"